
package lambdademo;

import java.util.Calendar;

public class EmployeeRec {
    private String id;
    private String birthDate;
    private String lastName;
    private String firstName;
    private String gender;
    private String hireDate;
    
    public static double currentYear = 
            Calendar.getInstance().get(Calendar.YEAR);
    public static double currentMonth =
            Calendar.getInstance().get(Calendar.MONTH) + 1;
    
    public String getId() { return id; }
    public void SetId(String id) { this.id = id; }
    
    public String getBirthDate() { return birthDate; }
    public void SetBirthDate(String birthDate) { this.birthDate = birthDate; }
    
    public String getLastName() { return lastName; }
    public void SetLastName(String lastName) { this.lastName = lastName; }
    
    public String getFirstName() { return firstName; }
    public void SetFirstName(String firstName) { this.firstName = firstName; }
    
    public String getGender() { return gender; }
    public void SetGender(String gender) { this.gender = gender; }
    
    public String getHireDate() { return hireDate; }
    public void SetHireDate(String hireDate) { this.hireDate = hireDate; }
    
    public EmployeeRec(String id, String birthDate, String lastName,
            String firstName, String gender, String hireDate) {
        this.id = id;
        this.birthDate = birthDate;
        this.lastName = lastName;
        this.firstName = firstName;
        this.gender = gender;
        this.hireDate = hireDate;
    }
    
    public String toString() {
        StringBuffer sb = new StringBuffer();
        sb.append(id); sb.append (", ");
        sb.append(birthDate); sb.append (", ");
        sb.append(lastName); sb.append (", ");
        sb.append(firstName); sb.append (", ");
        sb.append(gender); sb.append (", ");
        sb.append(hireDate);
        return new String(sb);
    }
    
    public double getAge() {
        String[] dates = birthDate.split("-");
        double years = currentYear - Double.valueOf(dates[0]);
        double months = Double.valueOf(dates[1]);
        if (months == currentMonth) {
            return years;
        }else if (months > currentMonth) {
            return years + ((months - currentMonth) / 12.0);
        } else {
            return years - 1 + ((months + 12 - currentMonth) / 12.0);
        }
    }
}
